using FluentValidation;
using GreenTree.Nachtragsmanagement.Web.Models.Admin.User;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GreenTree.Nachtragsmanagement.Web.Validation.Admin.User
{
    public class RoleDataModelValidator : AbstractValidator<RoleDataModel>
    {
        public RoleDataModelValidator()
        {
            RuleFor(m => m.Description)
                .NotEmpty()
                    .WithMessage("Name wird benötigt")
                .MaximumLength(50)
                    .WithMessage("Muss unter 50 Zeichen sein");

            RuleFor(m => m.Level)
                .GreaterThanOrEqualTo(0)
                    .WithMessage("Stufe muss größer oder gleich 0 sein.");
        }
    }
}